{% extends "clients/profile_base.html" %}

{% block extrahead %}
{{block.super}}

<script type="text/javascript" charset="utf-8">
$(function() {
    $('.notes-link').click(function() {
        var $tr = $(this).closest('tr').next();
        if ($tr.is('.notes-temp')) {
            $('tr.notes-temp').remove();
            return false;
        }
        
        $('tr.temp').remove();
        $tr = $('<tr class="temp notes-temp"></tr>').insertAfter($(this).closest('tr'));
        $tr.html('<td class="notes" colspan="4"><div>' + $(this).attr('notes') + '</div></td>');
        return false;
    });
    $('.preview-link:not(.video)').click(function() {
        var $tr = $(this).closest('tr').next();
        if ($tr.is('.preview-temp')) {
            $('tr.preview-temp').remove();
            return false;
        }

        $('tr.temp').remove();
        $tr = $('<tr class="temp preview-temp"></tr>').insertAfter($(this).closest('tr'));
        $tr.html('<td class="preview" colspan="4"><img src="'+this.href+'" alt="" /></td>');
        return false;
    });
});
</script>   
{% endblock %}


{% block content %}

<div id="client-files">
    {% if last_updated %}
    <p><em>last updated on {{last_updated|date:"M j, Y"}}</em></p>
    {% endif %}

    <form action="" method="get">{% csrf_token %}
        <input type="text" name="q" value="{{search}}" />
        <input type="submit" value="search" />
        <input type="hidden" name="o" value="{{ordering}}" />
        <input type="hidden" name="ot" value="{% if desc %}desc{% endif %}" />
        {% if search %}
        &nbsp; viewing {{files.count}} of <a href="?q=">{{total}} files</a>.
        {% endif %}
    </form>
    <br/>

    <table>
        <tr>
            {% if user.is_superuser %}
            <th{% ifequal ordering "file"%} class="sorted {% if desc %}desc{% else %}asc{% endif %}"{% endifequal%}>
                <a href="?o=file&amp;ot={% if desc %}asc{% else %}desc{% endif %}&amp;q={{search}}">Filename</a>
            </th>
            
            <th{% ifequal ordering "modified"%} class="sorted {% if desc %}desc{% else %}asc{% endif %}"{% endifequal%}>
                <a href="?o=modified&amp;ot={% if desc %}asc{% else %}desc{% endif %}&amp;q={{search}}">Date uploaded</a>
            </th>
            <th{% ifequal ordering "mimetype"%} class="sorted {% if desc %}desc{% else %}asc{% endif %}"{% endifequal%}>
                <a href="?o=mimetype&amp;ot={% if desc %}asc{% else %}desc{% endif %}&amp;q={{search}}">File type</a>
            </th>
            <th{% ifequal ordering "belongs_to"%} class="sorted {% if desc %}desc{% else %}asc{% endif %}"{% endifequal%}>
                <a href="?o=belongs_to&amp;ot={% if desc %}aasc{% else %}desc{% endif %}&amp;q={{search}}">Project</a>
            </th>
            <th>Tools</th>
            {% else %}
            <th{% ifequal ordering "file"%} class="sorted {% if desc %}desc{% else %}asc{% endif %}"{% endifequal%}>
                Filename
            </th>
            <th{% ifequal ordering "modified"%} class="sorted {% if desc %}desc{% else %}asc{% endif %}"{% endifequal%}>
                Date uploaded
            </th>
            {% endif %}
        </tr>
        {% for file in files.all %}
        <tr>
            <td>
                {{file.title}}
                <div>
                    {% if file.has_preview and file.preview_url %}<a href="{{file.preview_url}}" class="preview-link {{file.type}}" target="_blank">preview</a> | {% endif %}
                    <a href="{% url clients-download_file file.belongs_to.id file.id %}">download</a>
                    {% if file.notes.count %} | <a href="#" class="notes-link" notes="{{file.get_notes}}">view notes</a> {% endif %}
                </div>
            </td>
            <td>{{file.modified|date:"m/d/y P"}}</td>
            {% if user.is_superuser %}
            <td>{{file.mimetype}}</td>
            <td>{{file.belongs_to.get_full_name|default:file.belongs_to}}</td>
            <td>
                <a href="{% url clients-edit_file file.belongs_to.id file.id %}">modify</a> | 
                <a href="{% url clients-delete_file file.belongs_to.id file.id %}" class="deletelink">delete</a>
            </td>
            {% endif %}
        </tr>
        {% empty %}
        <tr><td colspan="4"><p>No files found.</td></tr>
        {% endfor %}
    </table>

    
</div>

{% endblock %}

